-- hardened clay
XClay:register_hardened_clay()

-- hardened clay smooth
XClay:register_hardened_clay_smooth()

if XClay.settings.x_clay_light_blue_wool then
    -- light blue wool
    minetest.register_node('x_clay:wool_light_blue', {
        description = XClay.colors.light_blue.name .. ' Wool',
        short_description = XClay.colors.light_blue.name .. ' Wool',
        tiles = { 'x_clay_wool_light_blue.png' },
        is_ground_content = false,
        groups = {
            snappy = 2,
            choppy = 2,
            oddly_breakable_by_hand = 3,
            flammable = 3,
            wool = 1,
            color_light_blue = 1
        },
        sounds = default.node_sound_defaults(),
    })
end
